:root {
	font-size:13px;
}

body {
	overflow:hidden;	
}
body[onafterprint] {
	overflow:initial;
	background:white;	
}


.staticTextItem, .staticTextItemDisabled, .staticTextItemError {
  font-size: 12px;
  padding: 4px 3px;
   min-height: 14px;
}

a,
.staticTextItem.assocLink {
	padding:1px;
	text-decoration:none;
}
a:hover,
a:active,
a:focus,
.staticTextItem.assocLink:hover,
.staticTextItem.assocLink:focus,
.staticTextItem.assocLink:active {
  text-decoration: none;
  cursor:pointer;
}

a.cke_button {
	border-bottom: !important;
	}
.staticTextItem.assocLink:hover,
.staticTextItem.assocLink:focus,
.staticTextItem.assocLink:active {
	text-decoration:underline;
}




.gridSummaryCellOver {
	font-weight:bold;
}






.widgetLabel strong {
	  font-size: 1.35em !important;
	margin-right:4px;
}

.titleFieldSpan {
	text-decoration:none;
}

.widgetLabel .dsdev {
	text-decoration:none;
}
.widgetLabel .dsdev:hover {
	text-decoration:underline;
}






.dsMenu .cell,
.dsMenu .cellOver,
.dsMenu .cellSelected,
.dsMenu .cellSelectedOver {
	padding-top:3px !important;
	padding-bottom:3px !important;
}
.cell .cell, .cellOver .cellOver, .cellSelected .cellSelected, .cellSelectedOver .cellSelectedOver {
	transition:none;
	-webkit-transition:none;
	padding:0!important;
}



/* .ContentPane .widgetSplit > div > .widget, */
.ContentPane {
background: -moz-linear-gradient(-10deg,  rgba(255,255,255,0.3) 25%, rgba(0,29,48,0.46) 100%); /* FF3.6+ */
background: -webkit-gradient(linear, left top, right bottom, color-stop(25%,rgba(255,255,255,0.3)), color-stop(100%,rgba(0,29,48,0.46))); /* Chrome,Safari4+ */
background: -webkit-linear-gradient(-10deg,  rgba(255,255,255,0.3) 25%,rgba(0,29,48,0.46) 100%); /* Chrome10+,Safari5.1+ */
background: -o-linear-gradient(-10deg,  rgba(255,255,255,0.3) 25%,rgba(0,29,48,0.46) 100%); /* Opera 11.10+ */
background: -ms-linear-gradient(-10deg,  rgba(255,255,255,0.3) 25%,rgba(0,29,48,0.46) 100%); /* IE10+ */
background: linear-gradient(170deg,  rgba(255,255,255,0.3) 25%,rgba(0,29,48,0.46) 100%); /* W3C */
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#4dffffff', endColorstr='#75001d30',GradientType=1 ); /* IE6-9 fallback on horizontal gradient */

}

.windowHeaderText {
	vertical-align:top;
}

* {
	outline:0;
}



.pageBlock.inversed a:active {
	text-decoration:none;
}


.confirm.button {
	font-size:1.2em;
}
.cancel.button {
	font-size:1.2em;
}

.main.button {
	font-size:1.1em;
}



.filter.button:before {
	content:'\f0b0';
	font-family:FontAwesome;
	padding-right:0.5em;
}

a[href^="tel:"]:before {
	content:'\f095';
	font-family:FontAwesome;
	padding-right:0.5em;
}

a[href^="mailto:"]:before {
	content:'\f003';
	font-family:FontAwesome;
	padding-right:0.5em;
}
a[href^="http://"]:before {
	content:'\f08e';
	font-family:FontAwesome;
	padding-right:0.5em;
}

.filterAction {
	padding: 0;
}


.titleField label,
.titleField .textItem {
	font-weight:bold;
	font-size:13px;
	line-height:1em;
}
.titleField .staticTextItem {
	font-weight:bold;
	font-size:13px;
}
.cellHeading,
.cellContent {
margin: 0.2em;

}

.formCell {
	vertical-align: middle;
}

.textItem,
.selectItemControl,
input.selectItemText,
.textAreaItem,
.iframeItem,
.comboBoxItemPendingText {
	outline:0;
}
.auto.textAreaItem {
	overflow: auto !important;
}
.selectItemText,
.comboBoxItemPendingText {
	height:auto !important;
	line-height:inherit;
}
.selectItemControl .selectItemText {
	border:0;
	height:auto;
	line-height:auto;
}
.textItem,
.textAreaItem {
	padding:0 4px;
}
.selectItemText,
.comboBoxItemPendingText {
	padding:4px 3px;
	margin:0;
}
.textItem {padding:0 4px;}
.textAreaItem {padding:4px; font-size:11px;}



.selectItemText[readonly="TRUE"]:hover {
	text-decoration:underline;
	cursor:pointer;
}


span.formTitle.canvas {
	font-size:12px;
}
span.formTitle.canvas + br {
	display:none;
}
.dataSource.canvas.formCell span.formTitle {
	font-weight:bold;	
	padding: 6px 0px 2px 0;
  display: block;
  text-align: center;
  font-size: 12px;
}

.tools .button {
	font-size:10px !important;
}
.ContentBar i.empty {
	display:inline;
}

.headerItem {
  font-size: 125%;
}





.gridPathSep {
	padding-left:3px;
	padding-right:3px;
	font-size:75%;
}



.serviceButton,
.serviceButtonOver {
	font-size:140%;
	line-height:200%;
	
}

.serviceButton i,
.serviceButtonOver i {
	font-size:150%;
}



.groupNode {
	line-height: 3em;
}
.groupNode:hover {
	cursor: pointer;
}

.tabButton {
	padding:0.25em 1em;
	margin-right:0.5em;
}


.tabBaseLine {
	-webkit-filter: brightness(0%);
}


.dsMenu .cell,
.dsMenu .cellOver,
.blankCells .cell,
.blankCells .cellOver,
.blankCells .cellDisabled {
	border:0;
}
.dsMenu .cell .cell,
.dsMenu .cellOver .cellOver,
.dsMenu .cellSelected .cellSelected,
.dsMenu .cellSelectedOver .cellSelectedOver {
	font-size:1.1em;
}
.dsMenu b {
	
}

.windowStatusBar {
	border:0;
}



input[type="FILE"],
input[type="file"] {
	font-size:13px !important;
}

.CodeMirror {
	font: 12px/1.3em monospace !important;
}

.sectionHeader.opened, 
.sectionHeader.closed {
	font-weight:bold;
}
.propSheetValue .selectItemText {
	padding:2.5px 3px;
}


img.preview {
	max-width:100px;
	max-height:100px;
	height:auto;
}

.toolsGroup {
	padding:2px;
}


.floatMessage {
  text-align: center;
  border-bottom-left-radius: 1em;
  border-bottom-right-radius: 1em;
}

.widgetForm.dev-blocks .formCell {
  outline: 2px solid rgba(61, 145, 0, 0.3);
  outline-offset: -3px;
}

.widgetForm.dev-blocks .canvas.formCell {
  outline: 2px solid rgba(0, 119, 199, 0.3);
}

.widgetForm.dev-blocks .formTitle {
  outline: 2px solid rgba(185, 0, 0, 0.3);
  outline-offset: -3px;
}

.widgetForm.dev-blocks .formCell:hover {
  outline: 2px solid rgba(61, 145, 0, 1);
}
.widgetForm.dev-blocks .canvas.formCell:hover {
  outline: 2px solid rgba(0, 119, 199, 1);
}

.widgetForm.dev-blocks .formTitle:hover {
  outline: 2px solid rgba(185, 0, 0, 1);
}

.canvasHover td, .gridHover td, .formHover td {
	white-space:pre;
}
.canvasHover td:last-child, .gridHover td:last-child, .formHover td:last-child {
	color:rgb(173, 255, 93);
}


.audit.staticTextItem,
.audit.formTitle {
  font-size: 9px;
  line-height: 10px;
  vertical-align: top;
  overflow: hidden;
  padding: 0px 2px;
  border-bottom: 0;
  min-height: initial;
}
.audit.toolsForm {
  border: 0 !important;
  padding: 1px;
}
.audit .formCell,
.audit .formTitle {
	padding:0;
}






/* FONT ICONS */

i:empty {
  font-size: 16px;
  margin-right: 3px;
  width: 1em;
  line-height: 16px;
  display:inline-block;
  height:16px;
 }
 i:empty:before {
	font-size:16px !important;
	margin-left:0 !important;
}

.ficon-preview i:empty {
	font-size:35px;
}

.ContentBar i:empty {
	font-size:13px;
}

.tool.menuButton i:empty,
.tool.button i:empty {
	width:0.8em;
}

i.fa-shadow {
	 text-shadow: 2px 2px 1px rgba(0, 0, 0, 0.2);
}

i.fa-outlined {
	  -webkit-font-smoothing: antialiased;
}





.loadingDataMessage, .offlineMessage, .emptyMessage {
	padding:2px !important;
}

.topLogo {
	cursor:pointer !important;
}
.topSlogan {
  font-size: 16px;
  line-height: 40px;
  padding: 0 10px;
  font-style: italic;
}


.dsname {
  font-weight: normal;
}

.gridHover .line {
	white-space: pre;
}

.first-tab {
	font-size:1.1em;
	font-weight:bold;
}

.dsMenu .filters a {
	display: block;
}
.dsMenu .filters a:hover {
	color:black;
	border-bottom: 0 !important;
}